import NFTSales from 0xNFTSales

pub fun main(salesCollectionAddress: Address, salesIDs: [UInt64]): [Bool] {
    let res:[Bool] = []
    for salesID in salesIDs {
        let acct = getAccount(salesCollectionAddress)
        let cap = acct.getCapability<&NFTSales.SalesCollection{NFTSales.SalesCollectionPublic}>(NFTSales.SalesCollectionPublicPath)!
        let ref = cap.borrow()!
        res.append(ref.borrowSales(salesID: salesID)!.isOpen())
    }
    return res
}